%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname Math
%define mwikiver 1.35
%define gitsnap b5a8f57

Name:		mediawiki-math
Version:	3.0.0
Release:	%mkrel 15
Summary:	Mediawiki extension for %{oname}
License:	GPLv2+
Group:		System/Servers
BuildArch:	noarch
Url:		https://www.mediawiki.org/wiki/Extension:%{oname}

Source0:	https://extdist.wmflabs.org/dist/extensions/Math-REL1_35-%{gitsnap}.tar.gz

Requires:	mediawiki > %{mwikiver}
Requires:	tetex-dvips
Requires:	tetex-latex

%description
Math extension provides support for rendering mathematical formulas on-wiki via
texvc. It was a part of the core MediaWiki software until MediaWiki 1.18.


%prep
%setup -q -n Math
%autopatch -p1

%build

%install
mkdir -p %{buildroot}%{mediawiki_extensions}/%{oname}
cp -a * %{buildroot}%{mediawiki_extensions}/%{oname}

cat  > README.install.urpmi << EOF
To use this extension, you have to add
the following lines to your LocalSettings.php

require_once("%{mediawiki_extensions}/Math/Math.php");
\$wgTexvc = "%{mediawiki_extensions}/Math/texvc";

In addition, make sure the variables \$wgMathDirectory,
\$wgMathPath and \$wgTmpDirectory are set, as well as the
more general variables \$wgEnableUploads and \$wgUploadPath
according to your wiki instance.

For more information, see https://www.mediawiki.org/wiki/Extension:Math
EOF

%files
%doc README.install.urpmi
%{mediawiki_extensions}/%{oname}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.0-15.mga10
+ Revision: 2206663
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.0.0-14.mga9
+ Revision: 1813650
- Mageia 9 Mass Rebuild

* Thu Dec 03 2020 luigiwalser <luigiwalser> 3.0.0-13.mga8
+ Revision: 1652223
- noarch build
- update for mediawiki 1.35
- no longer has a compile procedure

* Fri Aug 21 2020 umeabot <umeabot> 3.0.0-12.mga8
+ Revision: 1617564
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 3.0.0-11.mga8
+ Revision: 1551125
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 3.0.0-10.mga8
+ Revision: 1545101
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 3.0.0-9.mga8
+ Revision: 1483790
- rebuild for ocaml-4.10

* Fri Oct 26 2018 luigiwalser <luigiwalser> 3.0.0-8.mga7
+ Revision: 1325565
- update for mediawiki 1.31

* Tue Oct 23 2018 tv <tv> 3.0.0-7.mga7
+ Revision: 1324021
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 3.0.0-6.mga7
+ Revision: 1323716
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 3.0.0-5.mga7
+ Revision: 1299511
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update to snapshot ba08a3a

* Sun Nov 26 2017 tv <tv> 3.0.0-3.mga7
+ Revision: 1179459
- rebuild for new ocaml

* Sun Oct 01 2017 daviddavid <daviddavid> 3.0.0-2.mga7
+ Revision: 1162136
- add patch to enable debugging information

* Tue Jul 05 2016 luigiwalser <luigiwalser> 3.0.0-1.mga6
+ Revision: 1039024
- 3.0.0 (needed for mediawiki 1.27)

* Fri Feb 12 2016 umeabot <umeabot> 1.2.0-7.mga6
+ Revision: 956146
- Mageia 6 Mass Rebuild
- Mageia 6 Mass Rebuild
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 luigiwalser <luigiwalser> 1.2.0-2.mga5
+ Revision: 640398
- build texvccheck tool (thanks to diogenese)

* Thu Jun 05 2014 luigiwalser <luigiwalser> 1.2.0-1.mga5
+ Revision: 633575
- update to version compatible with MediaWiki 1.23 (1.2.0)

* Wed Feb 26 2014 luigiwalser <luigiwalser> 1.1-2.mga5
+ Revision: 597411
- remove support for instances feature

* Thu Feb 06 2014 luigiwalser <luigiwalser> 1.1-1.mga5
+ Revision: 584068
- update to version compatible with MediaWiki 1.22 (1.1)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 luigiwalser <luigiwalser> 1.0-2.mga4
+ Revision: 456313
- update to current snapshot

* Sat Jan 12 2013 umeabot <umeabot> 1.0-1.110614.3.mga3
+ Revision: 359908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 obgr_seneca <obgr_seneca> 1.0-1.110614.2.mga3
+ Revision: 290101
- updated so it does work with new mediawiki

* Tue Jul 10 2012 obgr_seneca <obgr_seneca> 1.0-1.110614.1.mga3
+ Revision: 269202
- imported package mediawiki-math



* Sat Jan 12 2013 umeabot <umeabot> 1.0-1.110614.3.mga3
+ Revision: 359908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 obgr_seneca <obgr_seneca> 1.0-1.110614.2.mga3
+ Revision: 290101
- updated so it does work with new mediawiki

* Tue Jul 10 2012 obgr_seneca <obgr_seneca> 1.0-1.110614.1.mga3
+ Revision: 269202
- imported package mediawiki-math

